probe::nfs.aop.writepages
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.aop.writepages — NFS client writing several dirty pages to the NFS server

## Synopsis

    nfs.aop.writepages

## Values

`wpages`

  write size (in pages)

`nr_to_write`

  number of pages attempted to be written in this execution

`for_reclaim`

  a flag of writeback_control, indicates if it's invoked from the page allocator

`for_kupdate`

  a flag of writeback_control, indicates if it's a kupdate writeback

`size`

  number of pages attempted to be written in this execution

`dev`

  device identifier

`wsize`

  write size

`ino`

  inode number

## Description

The priority of wb is decided by the flags `for_reclaim` and `for_kupdate`.

Prev | Up | Next
probe::nfs.aop.writepage | Home | probe::nfs.fop.aio_read